jQuery(document).ready(function($) {
	
	$('a.jpibfi_selector_option').click(function(e) {
		$('#image_selector').val($(this).text());
		e.preventDefault();
	});
	
	$('#submit_form').click(function(e){
		var error = false;
		var areas = ["#disabled_classes", "#enabled_classes"];
		
		for (var i = 0; i < areas.length; i++) {
			if ( !contains_css_class_names_or_empty( $(areas[i]).val() ) ) {
				$(areas[i]).addClass('error-border');
				$(areas[i] + "_error").show();
				error = true;
			}
			else {
				$(areas[i]).removeClass('error-border');
				$(areas[i] + "_error").hide();
			}
		}

        if ($('#compatibility_mode').val() == '0')
        {
            var value = parseFloat($('#standard_transparency').val());
            var regExp = /^((\d+(\.\d+)?)|(\.\d+))\s*$/;

            if (!regExp.test($('#standard_transparency').val()) || isNaN(value) || value < 0 || value > 1) {
                $('#standard_transparency').addClass('error-border');
                $("#standard_transparency_error").show();
                error = true;
            } else {
                $('#standard_transparency').removeClass('error-border');
                $("#standard_transparency_error").hide();
            }
        }
		
		if (error)
			e.preventDefault();
	});

    $('#compatibility_mode').change( function() {
        if ($(this).val() == '0') {
            $('#standard_mode_transparency').show();
            $('#compatibility_mode_transparency').hide();
        }
        else {
            $('#standard_mode_transparency').hide();
            $('#compatibility_mode_transparency').show();
        }

    });
	
	function is_string_css_class_name(class_name) {
		var regExp = new RegExp("^-?[_a-zA-Z]+[_a-zA-Z0-9-]*$");
		return regExp.test(class_name);
	}
			
	function contains_css_class_names_or_empty(str) {
		if ( str.length == 0 )
			return true;
		
		var names = str.split(";");
		var only_css_class_names = true;
		
		for (var i = 0; i < names.length; i++ ) {
			if ( !is_string_css_class_name(names[i]) ) {
				only_css_class_names = false;
				break;
			}
		}
		return only_css_class_names;
	}
});